// 07EditorCharacterDoc.cpp : CMy07EditorCharacterDoc 類別的實作
//

#include "stdafx.h"
#include "07EditorCharacter.h"

#include "07EditorCharacterDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMy07EditorCharacterDoc

IMPLEMENT_DYNCREATE(CMy07EditorCharacterDoc, CDocument)

BEGIN_MESSAGE_MAP(CMy07EditorCharacterDoc, CDocument)
END_MESSAGE_MAP()


// CMy07EditorCharacterDoc 建構/解構

CMy07EditorCharacterDoc::CMy07EditorCharacterDoc()
{
	// TODO: 在此處加入一次建構程式碼

}

CMy07EditorCharacterDoc::~CMy07EditorCharacterDoc()
{
}

BOOL CMy07EditorCharacterDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: 在此處加入重新初始化程式碼
	// (SDI 文件會重用此文件)

	return TRUE;
}




// CMy07EditorCharacterDoc 序列化

void CMy07EditorCharacterDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: 在此處加入儲存程式碼
	}
	else
	{
		// TODO: 在此處加入載入程式碼
	}
}


// CMy07EditorCharacterDoc 診斷

#ifdef _DEBUG
void CMy07EditorCharacterDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CMy07EditorCharacterDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CMy07EditorCharacterDoc 命令
